package com.jiheng.formservice.form.buinsess;

import com.alibaba.fastjson.JSONObject;
import com.jiheng.formservice.common.entity.R;
import com.jiheng.formservice.form.entity.vo.TemplateDetailResVO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.http.*;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;


/**
 * @ClassName : FormServiceTools
 * @Description : 提供服务支持的SDK方法
 * @Date : 2021-11-16 15:25
 */
public class FormServiceTools {

    /**
     * 表单模板详情接口，逻辑删除的正常返回显示
     */
    public TemplateDetailResVO queryTemplateDetail(Long id) {

        if(StringUtils.isNotBlank(commProperties.getQualityProblemServiceUrl())) {
            HttpHeaders httpHeaders = new HttpHeaders();
            // 设置contentType
            httpHeaders.setContentType(MediaType.APPLICATION_FORM_URLENCODED);
            MultiValueMap<String, String> paramMapt = new LinkedMultiValueMap<>();
            StringBuffer taskIdParam = new StringBuffer();
            taskIdParam.append("hcQuesTaskCode=").append(item.get("taskId").toString());
            log.info("请求任务id参数为："+taskIdParam.toString());
            HttpEntity<String> entity = new HttpEntity<>(taskIdParam.toString(), httpHeaders);
            ResponseEntity<String> res = null;
            try {
                res = restTemplate.exchange(commProperties.getQualityProblemServiceUrl(), HttpMethod.POST, entity, String.class);
                String body = res.getBody();
                problemSum = JSONObject.parseObject(body).get("totalCount").toString();
                log.info("调用获取任务对应问题信息成功，返回结果为：{}",body);
            }catch (Exception e) {
                log.error("调用异常",e);
            }
        }else {
            log.warn("获取问题接口未配置");
        }

        return R.success(templateService.queryTemplateDetail(id));
    }


}
