package com.jiheng.formservice.form.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.jiheng.formservice.common.entity.Entity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Data;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 表单模板表
 * </p>
 *
 * @author guoj
 * @since 2021-11-16
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("form_template")
@ApiModel(value="Template对象", description="表单模板表")
public class Template extends Entity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模板编号")
    @TableField("template_no")
    private String templateNo;

    @ApiModelProperty(value = "模板名称")
    @TableField("template_name")
    private String templateName;

    @ApiModelProperty(value = "模板备注")
    @TableField("template_remark")
    private String templateRemark;

    @ApiModelProperty(value = "模板内容存json")
    @TableField("template_json")
    private String templateJson;

    @ApiModelProperty(value = "租户id")
    @TableField("tenant")
    private String tenant;

    @ApiModelProperty(value = "创建人姓名")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "0 逻辑删除  1是逻辑未删除")
    @TableField("is_delete")
    @TableLogic
    private String isDelete;


}
