package com.jiheng.formservice.form.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiheng.formservice.form.entity.Template;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jiheng.formservice.form.entity.vo.QueryTemplateReqVO;
import com.jiheng.formservice.form.entity.vo.SaveOrUpdateTemplateReqVO;
import com.jiheng.formservice.form.entity.vo.TemplateDetailResVO;

/**
 * <p>
 * 表单模板表 服务类
 * </p>
 *
 * @author guoj
 * @since 2021-11-16
 */
public interface TemplateService extends IService<Template> {

    /**
     * 校验表单名称是否重复
     * @param param
     * @return
     */
    boolean checkOutName(SaveOrUpdateTemplateReqVO param);

    /**
     * 新增、编辑、删除表单模板
     * @param param
     */
    void saveOrUpdateBuilding(SaveOrUpdateTemplateReqVO param);

    /**
     * 获取表单详情数据
     * @param id
     * @return
     */
    TemplateDetailResVO queryTemplateDetail(Long id);

    /**
     * 删除表单模板
     * @param id
     */
    void deleteTemplate(Long id);

    /**
     * 查询表单模板列表
     * @param param
     * @return
     */
    Page<TemplateDetailResVO> queryTemplateByPage(QueryTemplateReqVO param);
}
