package com.jiheng.formservice.framework.properties;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import static com.jiheng.formservice.framework.properties.DatabaseProperties.PREFIX;


/**
 * 客户端认证配置
 *
 * @author pocky
 * @date 2018/11/20
 */
@Data
@NoArgsConstructor
@ConfigurationProperties(prefix = PREFIX)
@EnableConfigurationProperties(DatabaseProperties.class)
@Component
public class DatabaseProperties {
    public static final String PREFIX = "pocky.database";

    /**
     * Id 生成策略
     */
    private Id id = new Id();

    @Data
    public static class Id {
        /**
         * 终端ID (0-31)      单机配置0 即可。 集群部署，根据情况每个实例自增即可。
         */
        private Long workerId = 0L;
        /**
         * 数据中心ID (0-31)   单机配置0 即可。 集群部署，根据情况每个实例自增即可。
         */
        private Long dataCenterId = 0L;
    }


}
